Bug 718152 (CVE-2011-2517) - CVE-2011-2517 kernel: nl80211: missing check for valid SSID size in scan operations
Summary: CVE-2011-2517 kernel: nl80211: missing check for valid SSID size in scan oper...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110518,reported=20110611,sou...
Depends On: 718154 718155 718156 718157 718158 753005
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-01 08:39 UTC by Petr Matousek
Modified: 2019-06-08 18:51 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-28 22:09:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1212 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-09-06 21:41:35 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC
Red Hat Product Errata RHSA-2011:1813 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-12-14 02:28:38 UTC

Description Petr Matousek 2011-07-01 08:39:31 UTC
In both trigger_scan and sched_scan operations, we were checking for the SSID length before assigning the value correctly.  Since the memory was just kzalloc'ed, the check was always failing and SSID with over 32 characters were allowed to go through.

This is causing a buffer overflow when copying the actual SSID to the proper place.

Upstream fixes:
http://git.kernel.org/linus/208c72f4fe44fe09577e7975ba0e7fa0278f3d03
http://git.kernel.org/linus/57a27e1d6a3bb9ad4efeebd3a8c71156d6207536

Comment 4 Petr Matousek 2011-07-20 21:26:20 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4 as it did not provide support for the Linux wireless LAN (802.11) configuration API. This has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1212.html, https://rhn.redhat.com/errata/RHSA-2011-1189.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 8 errata-xmlrpc 2011-08-23 14:42:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 9 errata-xmlrpc 2011-09-12 19:44:41 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Comment 10 errata-xmlrpc 2011-09-13 15:44:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1212 https://rhn.redhat.com/errata/RHSA-2011-1212.html

Comment 12 errata-xmlrpc 2011-12-13 21:29:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6.Z - Server Only

Via RHSA-2011:1813 https://rhn.redhat.com/errata/RHSA-2011-1813.html


Note You need to log in before you can comment on or make changes to this bug.